Name:		nagiosgraph
Version:	1.4.3
Release:	%mkrel 11
Summary:	Visualization addon for nagios
License:	GPL
Group:		Networking/WWW
URL:		http://nagiosgraph.sourceforge.net
Source:     http://downloads.sourceforge.net/nagiosgraph/%{name}-%{version}.tar.gz
Patch:      nagiosgraph-1.4.3-fhs.patch
Requires:   nagios
Requires(post):   rpm-helper
BuildArch:	noarch

%global __requires_exclude perl\\(ngshared\\)$

%description
Nagiosgraph is an add-on of Nagios. It collects service performance data into
rrd format, and displays the resulting graphs via cgi.

%prep
%setup -q
%patch -p 1

%build

%install
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -m 644 etc/* %{buildroot}%{_sysconfdir}/%{name}
rm -f %{buildroot}%{_sysconfdir}/%{name}/*.pm

install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 %{buildroot}%{_datadir}/%{name}/lib
install -m 644 etc/ngshared.pm %{buildroot}%{_datadir}/%{name}/lib

install -d -m 755 %{buildroot}%{_datadir}/%{name}/www
install -m 755 cgi/* %{buildroot}%{_datadir}/%{name}/www
install -m 644 share/*.css %{buildroot}%{_datadir}/%{name}/www

install -d -m 755 %{buildroot}%{_datadir}/%{name}/bin
install -m 755 lib/* %{buildroot}%{_datadir}/%{name}/bin

install -d -m 755 %{buildroot}%{_var}/lib/nagiosgraph

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# %{name} Apache configuration
Alias /%{name} %{_datadir}/%{name}/www

<Directory %{_datadir}/%{name}/www>
    DirectoryIndex show.cgi
    Options ExecCGI

    Order allow,deny
    Allow from all
</Directory>
EOF

cat > README.urpmi <<EOF
Mageia RPM specific notes

setup
-----
This software has been modified to comply with FHS:
- all configurations files are located in %{_sysconfdir}/nagiosgraph
EOF

%files
%doc AUTHORS CHANGELOG INSTALL README README.urpmi TODO
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/nagiosgraph
%{_datadir}/%{name}
%attr(-,nagios,nagios) %{_var}/lib/%{name}




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.4.3-11.mga8
+ Revision: 1492170
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.4.3-10.mga7
+ Revision: 1264652
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1.4.3-9.mga6
+ Revision: 931312
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-8.mga5
+ Revision: 740137
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.4.3-7.mga5
+ Revision: 734765
+ rebuild (emptylog)

* Thu Oct 02 2014 tv <tv> 1.4.3-6.mga5
+ Revision: 734763
- fix excludes

* Wed Oct 01 2014 tv <tv> 1.4.3-5.mga5
+ Revision: 733969
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-4.mga5
+ Revision: 682791
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.3-3.mga4
+ Revision: 508227
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 1.4.3-1.mga1
+ Revision: 63099
- clean spec file
- imported package nagiosgraph


* Sat Jul 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.3-1mdv2011.0
+ Revision: 554504
- new version

* Thu Mar 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.2-1mdv2010.1
+ Revision: 525138
- new version
- rediff fhs patch

* Fri Feb 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-1mdv2010.1
+ Revision: 508002
- new version

* Wed Feb 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.0-2mdv2010.1
+ Revision: 507288
- fix dependencies

* Thu Jan 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.0-1mdv2010.1
+ Revision: 494750
- new version
- rely on filetrigger for reloading apache configuration begining with 2010.1,
  rpm-helper macros otherwise

* Thu Dec 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.3-1mdv2010.1
+ Revision: 479723
- new version

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.2-1mdv2010.1
+ Revision: 468634
- update to new version 1.3.2

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 397014
- new version

* Fri Jan 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.0-1mdv2009.1
+ Revision: 335581
- new version

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.3-1mdv2009.1
+ Revision: 320705
- import nagiosgraph


* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.3-1mdv2009.1
- first mdv release 
